安全研究

业界动态
7年发现了新的Linux内核漏洞CVE-2017-2636 可以拿到root权限 影响大多数Linux版本

Linux内核漏洞自2009年出现,波及大量的Linux发行版,包括Red HatDebianFedoraOpenSUSEUbuntu。事实证明,Linux上的漏洞都被利用了好长时间了,去年也有一次绿盟科技发布Linux内核本地提权漏洞威胁预警通告 这个漏洞9年才被修复

 

Linux内核漏洞CVE-2017-2636 影响大多数Linux版本   

 

最新的Linux内核漏洞(CVE-2017-2636)已在Linux内核中存在7年之久。未经授权的本地用户可利用该漏洞获得受影响系统的root权限或导致拒绝服务(系统崩溃)。  

 

Positive Technologies公司的研究员Alexander Popov在Linux内核驱动程序N_HLDC中发现了竞争条件问题,会导致重复释放漏洞。该驱动程序负责处理高级数据链路控制(HDLC)数据。   

 

“重复释放”是最常见的内存破坏问题之一。对于分配的内存,应用程序通过调用free()函数两次释放同一内存位置。未经授权的攻击者可利用该漏洞在当前用户的安全环境中注入和执行任意代码。   

 

该漏洞波及大多数流行的Linux发行版,包括Red Hat Enterprise Linux 6和7、SUSE、Debian和Ubuntu。该漏洞自2009年6月就已出现,这表明Linux企业版服务器和设备在很长一段时间内一直处于脆弱状态,但Positive Technologies表示,现在还很难确定,该漏洞是否一直被积极利用。   

 

Radhat已经确认该漏洞:https://bugzilla.redhat.com/show_bug.cgi?id=1428319    

 

Linux内核漏洞CVE-2017-2636发现者称   

Popov表示,“该漏洞是一个存在了多年的老漏洞,在多个Linux工作站和服务器上传播。攻击者仅需未授权账户身份即可自动加载受影响的模块。此外,漏洞利用无需任何特殊硬件。”   

 

我的修补补丁是在2017年2月28日提交的,应该就快发布了,请见如下地址 :http://seclists.org/oss-sec/2017/q1/att-569/0001-tty-n_hdlc-get-rid-of-racy-n_hdlc_tbuf.patch    晚些时候,我会公开PoC ,以便大家有时间更新自己的系统。该研究员在利用syzkaller fuzzer进行系统呼叫测试中发现了此漏洞。syzkaller fuzzer是Google公司开发的一款安全代码审计软件。https://github.com/google/syzkaller    

 

Linux内核漏洞CVE-2017-2636可以打补丁 或者阻止n_hdlc模块  

 

Popov在2017年2月28日将该漏洞上报给了kernel.org,并提供了漏洞利用原型和修复补丁。Linux内核中已安装了漏洞修复补丁。安全更新及漏洞详情在3月7日发布。   

 

因此,建议用户尽快安装最新的安全补丁。若无法安装最新补丁,研究员建议手动阻止有漏洞的模块(n_hdlc),保障企业和家庭使用的操作系统的安全。

   

本文由:HackerNews 发布,版权归属于原作者。                        
如果转载,请注明出处及本文链接:                        
http://toutiao.secjia.com/linux-kernel-vulnerability-cve-2017-2636
如果此文章侵权,请留言,我们进行删除。


浏览次数:

关 闭